import { SimpleGit } from 'simple-git';
import { LogType } from '../websocketClient.js';
import { SfCommand } from '@salesforce/sf-plugins-core';
export declare const isCI: boolean;
export declare function git(options?: any): SimpleGit;
export declare function createTempDir(): Promise<string>;
export declare function isGitRepo(): boolean;
export declare function getGitRepoName(): Promise<string | null>;
export declare function getGitRepoUrl(): Promise<string | null>;
export declare function gitHasLocalUpdates(options?: {
    show: boolean;
}): Promise<boolean>;
export declare function checkSfdxPlugin(pluginName: string): Promise<void>;
export declare function checkAppDependency(appName: any): Promise<true | undefined>;
export declare function promptInstanceUrl(orgTypes?: string[], alias?: string, defaultOrgChoice?: any): Promise<any>;
export declare function ensureGitRepository(options?: any): Promise<void>;
export declare function getGitRepoRoot(): Promise<string>;
export declare function getCurrentGitBranch(options?: any): Promise<string | null>;
export declare function getLatestGitCommit(): Promise<(import("simple-git").DefaultLogFields & import("simple-git").ListLogLine) | null>;
export declare function selectGitBranch(options?: {
    remote: true;
    checkOutPull: boolean;
    message?: string;
    allowAll?: boolean;
}): Promise<any>;
export declare function gitCheckOutRemote(branchName: string): Promise<void>;
export declare function ensureGitBranch(branchName: string, options?: any): Promise<boolean>;
export declare function checkGitClean(options: any): Promise<void>;
export declare function interactiveGitAdd(options?: any): Promise<any>;
export declare function gitAddCommitPush(options?: any): Promise<void>;
export declare function normalizeFileStatusPath(fileStatusPath: string, config: any): string;
export declare function execSfdxJson(command: string, commandThis: any, options?: any): Promise<any>;
export declare function execCommand(command: string, commandThis: SfCommand<any> | null, options?: any): Promise<any>;
export declare function getSfdxFileLabel(filePath: string): string;
export declare function elapseStart(text: any): void;
export declare function elapseEnd(text: string, commandThis?: any): void;
export declare function mergeObjectPropertyLists(obj1: any, obj2: any, options: {
    sort: true;
}): any;
export declare function removeObjectPropertyLists(obj1: any, objToRemove: any): any;
export declare function filterPackageXml(packageXmlFile: string, packageXmlFileOut: string, options?: any): Promise<{
    updated: boolean;
    message: string;
}>;
export declare function catchMatches(catcher: any, file: string, fileText: string, commandThis: any): Promise<any[]>;
export declare function countRegexMatches(regex: RegExp, text: string): Promise<number>;
export declare function extractRegexGroups(regex: RegExp, text: string): Promise<string[]>;
export declare function extractRegexMatches(regex: RegExp, text: string): Promise<string[]>;
export declare function extractRegexMatchesMultipleGroups(regex: RegExp, text: string): Promise<any[]>;
export declare function arrayUniqueByKey(array: any, key: string): any;
export declare function arrayUniqueByKeys(array: any, keysIn: string[]): any;
export declare function generateReports(resultSorted: any[], columns: any[], commandThis: any, options?: any): Promise<any[]>;
export declare function uxLog(logType: LogType, commandThis: any, textInit: string, sensitive?: boolean): void;
export declare function uxLogTable(commandThis: any, tableData: any[], columnsOrder?: string[]): void;
export declare function bool2emoji(bool: boolean): string;
export declare function copyLocalSfdxInfo(): Promise<void>;
export declare function restoreLocalSfdxInfo(): Promise<void>;
export declare function generateSSLCertificate(branchName: string, folder: string, commandThis: any, conn: any, options: any): Promise<void>;
export declare function isMonitoringJob(): Promise<boolean>;
export declare function getNested(nestedObj: any, pathArr: any): any;
export declare function stripAnsi(str: string): string;
export declare function findJsonInString(inputString: string): any;
export declare function replaceJsonInString(inputString: string, jsonObject: any): string;
export declare function killBoringExitHandlers(): void;
export declare function isDockerRunning(): Promise<boolean>;
export declare function sortCrossPlatform(arr: any[]): any[];
export declare function getExecutionContext(): "web" | "local";
